Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 03 Apr 2021 10:59:50 +0000

Hi Mohammed Altahir,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Frankly this is my first and last time to order... I ordered 3 pieces and got a msg next day that one is not possible to deliver then when I view my order seems only one pice will be delivered with 29 price... Then you need me to pay 10 delivery + 10 cash on delivery how come!
My total bill was 110 and I accept to pay 20 but when I will receive one item almost same as delivery charges why I need to pay this... 
And I got a msg that delivery on 6th but suddenly delivery come today without even calling before assuming that we are only waiting at home for delivery and have nothing to do in life!
Sorry but very bad online service... 
My order # :  9647300700 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2344059